<html>
<head>
<title>Bootstrap Responsive Form</title>
 <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container">
<h2 style="text-align:center">Registration Form</h2>
  <form action="#"  onsubmit="return validateForm()">
    <div class="form-group">
      <label for="firstname">First Name :<span class="form-required"style="color:red"> *</span></label>
      <input type="text" class="form-control" id="firstname" placeholder="Enter first name" autocomplete="off"><span id="username" class="text-danger  text-weight-bold" ></span>
	</div>
    <div class="form-group">
      <label for="lastname"> Last Name :<span class="form-required"style="color:red"> *</span></label>
      <input type="text" class="form-control" id="lastname" placeholder="Enter last name" autocomplete="off"><span id="lastnames" class="text-danger  text-weight-bold" ></span>
    </div>
	<div class="form-group">
    <label for="emailad">Email address :<span class="form-required"style="color:red"> *</span></label>
    <input type="emailId" class="form-control" id="emailId" aria-describedby="emailHelp" placeholder="Enter email" autocomplete="off"><span id="emails" class="text-danger  text-weight-bold" ></span>
    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
  </div>
  <div class="form-group ">
    <label for="InputPassword">Password :<span class="form-required"style="color:red"> *</span></label>
    <input type="password" class="form-control" id="InputPassword" placeholder="Password" autocomplete="off"><span id="pass" class="text-danger  text-weight-bold" ></span>
	
	 <div class="custom-control custom-checkbox">
    <input type="checkbox" class="custom-control-input" id="myInput">
	<label class="custom-control-label" for="myInput">show password</label>
	<small id="passwordHelpInline" class="text-muted">Must be 6-20 characters long.</small>
  </div>
  </div>
  <div class="form-group">
    <label for="ConfirmPassword1">Confirm Password :<span class="form-required"style="color:red"> *</span></label>
    <input type="password" class="form-control" id="ConfirmPassword1" placeholder="Confirm Password" autocomplete="off"><span id="confirmpass" class="text-danger  text-weight-bold" ></span>
	
	<div class="custom-control custom-checkbox">
    <input type="checkbox" class="custom-control-input" id="myInput1">
    <label class="custom-control-label" for="myInput1">show confirm password</label>
	<small id="passwordHelpInline" class="text-muted"> Must be 6-20 characters long.</small>
  </div>
  </div>
   <div class="form-group">
    <label for="mb1">Mobile No. :<span class="form-required"style="color:red"> *</span></label>
    <input type="text" class="form-control" id="mb1" placeholder="Enter mobile no." autocomplete="off"><span id="mobile1" class="text-danger  text-weight-bold" ></span>
	
	 <div class="form-group">
      <label  for="dob1">Date of Birth :<span class="form-required"style="color:red"> *</span></label>
      <input type="date"  class="form-control text" id="dob1"  placeholder="" autocomplete="off"><span id="dobid" class="text-danger  text-weight-bold" ></span>
	</div>
	
	 <div class="form-group">
      <label for="address1">Address :<span class="form-required"style="color:red"> *</span></label>
      <input type="text" class="form-control" id="address1" placeholder="Enter your address" autocomplete="off"><span id="addrss" class="text-danger  text-weight-bold" ></span>
	</div>
	
	<div class="form-group">
    <label for="FormControlSelect1">Highest Qualification :<span class="form-required"style="color:red"> *</span></label>
    <select onchange="validateForm()"class="form-control" id="FormControlSelect1">
      <option>-select-</option>
      <option>Matric</option>
      <option>Intermediate</option>
      <option>BCA</option>
      <option>B.Tech</option>
      <option>MCA</option>
      <option>MBA</option>
      <option>Phd</option>
    </select>
	<span id="choose" class="text-danger  text-weight-bold"></span>
  </div>
  
   <div class="form-group">
    <label for="FormControlSelect2">Select multiple profile</label>
    <select onchange="validateForm()"  multiple class="form-control" id="FormControlSelect2">
	 <option>Web Developer</option>
	 <option>.Net Developer</option>
      <option>java Engineer</option>
      <option>php Developer</option>
      <option>Web Designer</option>
      <option>Banker</option>
      <option>Marketing</option>
    </select><span id="multiselect" class="text-danger  text-weight-bold" ></span>
  </div>
  
 <div class="form-group"> 
<label class="radio-inline">gender :<span class="form-required"style="color:red"> *</span>
 <input type="radio" id="sss" name="optradio">  Male
   </label>
   <label class="radio-inline">
    <input type="radio"  name="optradio">  Female
    </label>
    <label class="radio-inline">
    <input type="radio"  name="optradio">  other
    </label><span id="radio2" class="text-danger  text-weight-bold" ></span>
	</div>
<div class="form-group">
<label>Programming Languages :<span class="form-required" style="color:red"> * </span></label>	
<label class="checkbox-inline"><input type="checkbox" value="" id="agree">  C  </label>
<label class="checkbox-inline"><input type="checkbox" value="" name="agree">  C++  </label>
<label class="checkbox-inline"><input type="checkbox" value="" name="agree">  JAVA  </label>
<label class="checkbox-inline"><input type="checkbox" value="" name="agree">  C#  </label>
<label class="checkbox-inline"><input type="checkbox" value="" name="agree">  JavaScript  </label>
<span id="checkboxees" class="text-danger  text-weight-bold" ></span>
</div>
  <div class="form-group">
   <label for="FormControlFile1">upload your resume <span class="form-required"style="color:red"> *</span></label>
   <input type="file" class="form-control-file" id="FormControlFile1"><span id="myresume" class="text-danger  text-weight-bold" ></span>
  </div>
  
 <div class="form-group">
 <label for="Textarea1">Comments and Questions :</label>
 <textarea class="form-control" id="Textarea1" rows="5" placeholder="Enter your Suggestion......." autocomplete="off" ></textarea><span id="txtar" class="text-danger  text-weight-bold" ></span>
  
  <div class="form-check">
    <input type="checkbox" class="form-check-input" id="Checkbox1" value="Check me out">
    <label class="form-check-label" for="Checkbox1" >Check me out</label>
  </div>
</div>
<button type="submit" value="Submit" class="btn btn-primary">Submit</button>
<button type="reset" value="Reset" class="btn btn-danger">Reset</button>
</form>

<script type="text/javascript">
function validateForm()
{
	var fname= document.getElementById('firstname').value;
	var lname= document.getElementById('lastname').value;
	var emailid= document.getElementById('emailId').value;
	var pass1= document.getElementById('InputPassword').value;
	var conpass= document.getElementById('ConfirmPassword1').value;
	var mobile1= document.getElementById('mb1').value;
	var db= document.getElementById('dob1').value;
	//var pattern = /^([0-9]{2})-([0-9]{2})-([0-9]{4})$/;
	
	var ad1= document.getElementById('address1').value;
	var selectone= document.getElementById('FormControlSelect1').value;
	var mulselect= document.getElementById('FormControlSelect2').value;
	var radios= document.getElementById('sss').checked;
	var check1= document.getElementById('agree').checked;
	var cv= document.getElementById('FormControlFile1').value;
	var textarea= document.getElementById('Textarea1').value;

	validateName(fname);
	validateLname(lname);
	validateEmail(emailid);
	validatePassword(pass1);
	validateconfirmpassword(conpass);
	validateMobile(mobile1);
	validateDob(db);
	validateAddress(ad1);
	validateSelectOne(selectone);
	validateMultiSelect(mulselect);
	validateRadioButton(radios);
	validateCheckbox(check1);
	validateUploadFile(cv);
	validateTextarea(textarea);

	if(fnameError == false && lnameError == false && emailError == false && passwordError == false  && confirmpassError == false && mobileError == false && dobError == false && addressError == false && selectoneError == false && multiselectError == false && radioBtnError == false && checkboxError == false && uploadfileError == false && textareaError == false )
	{
		return true;
	}
	else
	{
		return false;
	}
}
	var fnameError=true;
	var lnameError=true;
	var emailError=true;
	var passwordError=true;
	var confirmpassError=true;
	var mobileError=true;
	var dobError=true;
	var addressError=true;
	var selectoneError=true;
	var multiselectError=true;
	var radioBtnError=true;
	var checkboxError=true;
	var uploadfileError=true;
	var textareaError=true;
	
	
	
	 

	function validateName(fname)
	{
		if(fname.trim() == "")
		{
			//alert(fname);
			fnameError=true;
			document.getElementById('username').innerHTML=" **please fill the first name";
		} 
		else if((fname.length <= 2) || (fname.length > 20))
		{
			fnameError=true;
			document.getElementById('username').innerHTML=" **characters must be between 2 and 20";
		}
		else if(!isNaN(fname))
		{
			fnameError=true;
			document.getElementById('username').innerHTML=" **only characters are allowed";
		}
		else{
			fnameError=false;
			document.getElementById('username').innerHTML="";
		}
		return fnameError;
	}
	function validateLname(lname)
	{
		if(lname == "")
		{
			lnameError=true;
			document.getElementById('lastnames').innerHTML=" **please fill the last name";
			//return  false;
		}
		else if (lname.trim() == "") 
		{
			lnameError=true;
			document.getElementById('lastnames').innerHTML=" **please Enter your Last Name";
			//return  false;
		}
		else if(lname.length <= 2 || (lname.length > 20))
		{
			lnameError=true;
			document.getElementById('lastnames').innerHTML=" **characters must be between 2 and 20";
		}
		else if(!isNaN(lname))
		{
			lnameError=true;
			document.getElementById('lastnames').innerHTML=" **only characters are allowed";
		}
		else{
			lnameError=false;
			document.getElementById('lastnames').innerHTML="";
		}
		return lnameError;
	}
	function validateEmail(emailid)
	{
		var reg=/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;	
		if (emailid.trim() == "") 
		{
			emailError=true;
			document.getElementById('emails').innerHTML=" **please Enter your Emailid";	 
		}
		else if (emailid.match(reg))
		{
			emailError=true;
			document.getElementById('emails').innerHTML="";	
		}
		else
		{
			emailError=false;
			document.getElementById('emails').innerHTML="";
		}
		return emailError;
	}
	function validatePassword(pass1)
	{
		var x = document.getElementById("myInput").value;
		if( pass1.trim() == "")
		{
			passwordError=true;
			document.getElementById('pass').innerHTML=" **please fill the password";	
		}
		else if(pass1.length<6)
		{	
			passwordError=true;  
			//alert("Password must be at least 6 characters long.");
			document.getElementById('pass').innerHTML=" **password must be 6 characters long.";		
		}
		else if (x.type === "password")
		{
			x.type = "text";
		}
		else
		{
			passwordError=false;
			x.type = "password";
			document.getElementById('pass').innerHTML="";
		}
		return passwordError;
	}
	function validateconfirmpassword(conpass)
	{
		var pass1= document.getElementById('InputPassword').value;
		if(conpass.trim() == "")
		{
			confirmpassError=true;
			document.getElementById('confirmpass').innerHTML=" **please fill the confirm password";
		}
		else if(pass1!=conpass)
		{ 
			confirmpassError=true; 
			//alert("password is not matching!");	
			document.getElementById('confirmpass').innerHTML=" **Password did not match: Please try again..."; 
		}	
		else 
		{
			confirmpassError=false;
			document.getElementById('pass').innerHTML="";
		}
		return confirmpassError; 
	}
	function validateMobile(mobile1)
	{
		if(mobile1.trim() == "")
		{
			mobileError=true;
			document.getElementById('mobile1').innerHTML=" **please Enter your  mobile no.";
		}
		else if(isNaN(mobile1))
		{
			mobileError=true;
			document.getElementById('mobile1').innerHTML=" **only digits are allowed.";
			 
		}
		else if(mobile1.length!=10)
		{
			mobileError=true;
			document.getElementById('mobile1').innerHTML=" **Number must be 10 digits only.";
			 
		}
		else
		{
			mobileError=false;
			document.getElementById('mobile1').innerHTML="";
		}
		return mobileError;
	}
	function validateDob(db)
	{
		if(db.trim() == "")
		{
			dobError=true;
			document.getElementById('dobid').innerHTML=" **please Enter your date of Birth";
		}
		else
		{
			dobError=false;
			document.getElementById('dobid').innerHTML="";
		}
			return dobError;
	}
	function validateAddress(ad1)
	{
		if(ad1.trim() == "")
		{
			addressError=true;
			document.getElementById('addrss').innerHTML=" **please Enter your address";
			//alert("Enter your address");
			//fname.focus();
		}
		else if(ad1.length <= 5 || (ad1.length > 50))
		{
			addressError=true;
			document.getElementById('addrss').innerHTML=" **characters must be between 5 and 50";	 
		}
		else
		{
			
			addressError=false;
			document.getElementById('addrss').innerHTML="";
		}
			return addressError;
	}
	function validateSelectOne(selectone)
	{
		if(selectone == "-select-")
		{
			selectoneError=true;
			document.getElementById('choose').innerHTML=" **please select option";
		}
		else
		{
			selectoneError=false;
			document.getElementById('choose').innerHTML="";
		}
			return selectoneError;
	}	
	function validateMultiSelect(mulselect)
	{
		if(mulselect == "")
		{
			multiselectError=true;
			document.getElementById('multiselect').innerHTML=" **please select multiple option";	 
		} 
		else
		{
			multiselectError=false;
			document.getElementById('multiselect').innerHTML="";
		}
			return multiselectError;
	}	
	function validateRadioButton(radios)
	{
		if(radios == "")
		{
			radioBtnError=true;
			document.getElementById('radio2').innerHTML=" **please choose the gender"; 
		}
		else
		{
			radioBtnError=false;
			document.getElementById('radio2').innerHTML="";
		}
			return radioBtnError;
	}
	function validateCheckbox(check1)
	{
		if(check1 == "")
		{
			checkboxError=true;
			document.getElementById('checkboxees').innerHTML=" **please choose one/more options";
		}
		else
		{
			checkboxError=false;
			document.getElementById('checkboxees').innerHTML="";
		}
			return checkboxError;
	}
	function validateUploadFile(cv)
	{
		if(cv == "")
		{
			uploadfileError=true;
			document.getElementById('myresume').innerHTML=" **please upload your resume";
		}
		else
		{
			uploadfileError=false;
			document.getElementById('myresume').innerHTML="";
		}
			return uploadfileError;
	}
	function validateTextarea(textarea)
	{
		 
		if(textarea.trim() == "")
		{
			textareaError=true;
			document.getElementById('txtar').innerHTML=" **please writes any comments";
		}
		else
		{
			textareaError=false;
			document.getElementById('txtar').innerHTML="";
			document.write("form has been submitted successfully");
		}
			return textareaError;
	}
</script>
</body>
</html>